Fusion des tiers ---> problème fenêtre

Bonjour à toutes et tous,
Version V12.05
Un problème survient quand on veut fusionner 2 tiers : La fenêtre de sélection du tiers qui sera fusionnée passe derrière la boite de sélection. On ne peut donc plus du tout réaliser cette opération
J’ai testé sur tous les navigateurs, c’est la même chose.

Quelqu’un a-t-il une idée ?

Merci par avance et bonne journée.

Bonjour, je viens de tester sur une 12.0.5 également et je n’ai pas eu ce problème-là.
L’affichage à l’avant-plan ou à l’arrière-plan d’éléments de la page dépend d’un attribut de style, z-index, qui est peut-être dépendant du thème ou même de modules (je n’ai pas cherché plus loin que ça).

Je crois me souvenir d’avoir déjà observé un problème similaire, résolu très rapidement d’ailleurs, mais je ne me souviens pas de la version de Dolibarr sur laquelle il s’était produit.

1 « J'aime »

Finalement, je viens de regarder le code source de plus près et je vois que la ligne en question a été modifiée le 23 juillet 2021 pour résoudre ce bug-là précisément. Si vous n’avez pas mis à jour Dolibarr depuis cette date, peut-être que vous ne bénéficiez pas encore de ce correctif.

1 « J'aime »

je reproduis également en 12.0.5

@fmortgat comment veux tu que des users intègrent ça ? (il n’y a pas de 12.0.6 à ce jour)

1 « J'aime »

Merci beaucoup pour vos réponses
@fmorgat : Quelle est la modification à faire, dans quel fichier ?

problème reproduit sur la 13.0.4 j’ai ouvert une issue sur github mais pas de réponse encore

Si quelqu’un a une idée de ou modifier je suis preneur

Bonne journée

1 « J'aime »

Bonjour à tous,

J’ai la réponse vu que c’est moi qui ai introduit le « bug » en corrigeant une autre problématique. Ce fix d’origine a été mis sur la v12.

Tout d’abord, le fix d’origine avec les photos qui sont parlantes :

Et maintenant le correctif

Normalement, c’est deux correctifs complémentaires se trouvent bien à partir de la v12 et doivent donc être présent sur les versions supérieures de Dolibarr.

D’ailleurs quand je vérifie, mes versions 12, 13, 14, develop fonctionnent bien mais elles sont en dernière révision à chaque fois.

Vous pouvez également tester de désactiver le module Sirene voir si cela résout le problème car le premier patch sans le second est inclus dans le module. Si, c’est le cas, je vais enlever ce bout de code du module vu que le correctif est dans le core désormais.

Voilà, espérant avoir été le plus clair possible.
Désolé du désagrément.
Je clos l’issue @DELTHAIR64 , elle n’a pas lieu d’être

Bonjour,

Chez moi le problème est toujours là après la correction.
Il disparait si on stoppe le module « sirene »

Merci de ton retour Régis, c’est bien ce que je pensais.

Je vais republier une version de Sirene sans le patch car si on est pas sur la version 12.0.6 (Jamais publiée), il manque le patch complémentaire pour que ça fonctionne convenablement.

Je t’envoi ça :slight_smile:

2 « J'aime »

je suis aussi preneur :wink:

merci

Bonjour,

La nouvelle version du module Sirene publiée hier soir résout complètement le problème !

Merci Alexandre.

1 « J'aime »